#version 330 core

in vec2 UV;
uniform float addconst;
uniform sampler2D inputtex;
uniform sampler2D origrender;
out vec4 color;

void main(){
    vec3 orig = texture(origrender, UV).rgb;
    vec3 blur = texture(inputtex, UV).rgb;
    color = vec4(orig + addconst * blur, 1.0);
}
